Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions
ArgusSamples::Tracker< T > Class Template Reference

A class tracking an Argus object through the TrackedUniqueObj below. More...

`#include <TrackedUniqueObject.h>`

List of all members.

## Public Member Functions
virtual | ~Tracker ()
virtual bool | track (T *obj)=0
| Called when the object is assigned to a TrackedUniqueObj.
virtual bool | untrack (T *ob)=0
| Called when the object is removed from a TrackedUniqueObj.

## Detailed Description

### template<typename T>
class ArgusSamples::Tracker< T >

A class tracking an Argus object through the TrackedUniqueObj below.

The track/untrack functions are called whenever an Argus object is assigend to/removed from the TrackedUniqueObj object.

Definition at line 41 of file TrackedUniqueObject.h.

## Constructor & Destructor Documentation

template<typename T>

virtual ArgusSamples::Tracker< T >::~Tracker | ( |  | ) |
| inline virtual

Definition at line 44 of file TrackedUniqueObject.h.

## Member Function Documentation

template<typename T>

virtual bool ArgusSamples::Tracker< T >::track | ( | T * | obj | ) |
| pure virtual

Called when the object is assigned to a TrackedUniqueObj.

Implemented in ArgusSamples::Dispatcher, and ArgusSamples::Dispatcher.

template<typename T>

virtual bool ArgusSamples::Tracker< T >::untrack | ( | T * | ob | ) |
| pure virtual

Called when the object is removed from a TrackedUniqueObj.

Implemented in ArgusSamples::Dispatcher, and ArgusSamples::Dispatcher.

The documentation for this class was generated from the following file:

- modules/TrackedUniqueObject.h